# ChangeLog for app-emulation/virtualbox-guest-additions
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-guest-additions/ChangeLog,v 1.49 2010/07/15 12:30:43 lxnay Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-guest-additions/ChangeLog,v 1.50 2010/07/17 10:56:19 polynomial-c Exp $
+
+ 17 Jul 2010; Lars Wendler <polynomial-c@gentoo.org>
+ -virtualbox-guest-additions-3.0.12.ebuild,
+ -files/virtualbox-guest-additions-3.initd:
+ Removed old.
15 Jul 2010; Fabio Erculiani <lxnay@gentoo.org>
virtualbox-guest-additions-3.2.4.ebuild,
+++ /dev/null
-#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header:
-
-depend() {
- need localmount
- before xdm
-}
-
-createvboxdevice() {
- local maj min
-
- maj=`sed -n 's;\([0-9]\+\) vboxadd;\1;p' /proc/devices`
-
- if ! [[ -z $maj ]] ; then
- min=0
- else
- min=`sed -n 's;\([0-9]\+\) vboxadd;\1;p' /proc/misc`
- if ! [[ -z $min ]] ; then
- maj=10
- fi
- fi
-
- mknod /dev/vboxadd c $maj $min -m 0664 &> /dev/null
-}
-
-start() {
- ebegin "Starting VirtualBox guest additions"
-
- if [[ -e /dev/vboxadd ]] ; then
- rm -f /dev/vboxadd &> /dev/null
- fi
-
- einfo " Loading kernel modules and creating devices"
- /sbin/modprobe vboxadd &> /dev/null
- createvboxdevice
- /sbin/modprobe vboxvfs &> /dev/null
-
- einfo " Starting the vboxadd system service"
- start-stop-daemon --start --make-pidfile \
- --exec /usr/sbin/vboxadd-service --pidfile /var/run/vboxadd-service.pid \
- --name vboxadd-service \
- --background -- \
- --foreground
-
- eend $? "Failed to start VirtualBox guest additions"
-}
-
-stop() {
- ebegin "Stopping VirtualBox guest additions"
-
- einfo " Stopping the vboxadd system service"
- start-stop-daemon --stop --quiet \
- --pidfile /var/run/vboxadd-service.pid --name vboxadd-service
-
- einfo " Unloading kernel modules and removing devices"
- /sbin/rmmod vboxvfs &> /dev/null
- /sbin/rmmod vboxadd &> /dev/null
- rm -f /dev/vboxadd &> /dev/null
- eend $?
-}
+++ /dev/null
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-guest-additions/virtualbox-guest-additions-3.0.12.ebuild,v 1.3 2009/11/30 11:16:47 maekke Exp $
-
-inherit eutils linux-mod
-
-MY_P=VirtualBox-${PV}-OSE
-DESCRIPTION="VirtualBox kernel modules and user-space tools for Linux guests"
-HOMEPAGE="http://www.virtualbox.org/"
-SRC_URI="http://download.virtualbox.org/virtualbox/${PV}/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="X"
-
-RDEPEND="X? ( ~x11-drivers/xf86-video-virtualbox-${PV}
- ~x11-drivers/xf86-input-virtualbox-${PV}
- x11-apps/xrandr
- x11-apps/xrefresh
- x11-libs/libXmu
- x11-libs/libX11
- x11-libs/libXt
- x11-libs/libXext
- x11-libs/libXau
- x11-libs/libXdmcp
- x11-libs/libSM
- x11-libs/libICE
- amd64? ( app-emulation/emul-linux-x86-xlibs ) )"
-DEPEND="${RDEPEND}
- >=dev-util/kbuild-0.1.5-r1
- >=dev-lang/yasm-0.6.2
- sys-devel/bin86
- sys-devel/dev86
- sys-power/iasl
- X? ( x11-proto/renderproto )"
-
-BUILD_TARGETS="all"
-BUILD_TARGET_ARCH="${ARCH}"
-MODULE_NAMES="vboxadd(misc:${WORKDIR}/vboxadd:${WORKDIR}/vboxadd)
- vboxvfs(misc:${WORKDIR}/vboxvfs:${WORKDIR}/vboxvfs)"
-
-S=${WORKDIR}/${MY_P/-OSE/_OSE}
-
-pkg_setup() {
- linux-mod_pkg_setup
- BUILD_PARAMS="KERN_DIR=${KV_DIR} KERNOUT=${KV_OUT_DIR}"
- enewgroup vboxadd
- enewuser vboxadd -1 /bin/sh /var/run/vboxadd vboxadd
-}
-
-src_unpack() {
- unpack ${A}
-
- # Create and unpack a tarball with the sources of the Linux guest
- # kernel modules, to include all the needed files
- "${MY_P/-OSE/_OSE}"/src/VBox/Additions/linux/export_modules "${WORKDIR}/vbox-kmod.tar.gz"
- unpack ./vbox-kmod.tar.gz
-
- # Remove shipped binaries (kBuild,yasm), see bug #232775
- cd "${S}"
- rm -rf kBuild/bin tools
-
- # Disable things unused or splitted into separate ebuilds
- cp "${FILESDIR}/${PN}-3-localconfig" LocalConfig.kmk
-}
-
-src_compile() {
- linux-mod_src_compile
-
- # build the user-space tools, warnings are harmless
- ./configure --nofatal \
- --disable-xpcom \
- --disable-sdl-ttf \
- --disable-pulse \
- --disable-alsa \
- --build-headless || die "configure failed"
- source ./env.sh
-
- for each in /src/VBox/{Runtime,Additions/common} \
- /src/VBox/Additions/linux/{sharedfolders,daemon} ; do
- cd "${S}"${each}
- MAKE="kmk" emake TOOL_YASM_AS=yasm \
- KBUILD_PATH="${S}/kBuild" \
- || die "kmk VBoxControl failed"
- done
-
- if use X; then
- cd "${S}"/src/VBox/Additions/x11/VBoxClient
- MAKE="kmk" emake TOOL_YASM_AS=yasm \
- KBUILD_PATH="${S}/kBuild" \
- || die "kmk VBoxClient failed"
- fi
-}
-
-src_install() {
- linux-mod_src_install
-
- cd "${S}"/out/linux.${ARCH}/release/bin/additions
-
- insinto /sbin
- newins mountvboxsf mount.vboxsf
- fperms 4755 /sbin/mount.vboxsf
-
- newinitd "${FILESDIR}"/${PN}-3.initd ${PN}
-
- insinto /usr/sbin/
- newins VBoxService vboxadd-service
- fperms 0755 /usr/sbin/vboxadd-service
-
- insinto /usr/bin
- doins VBoxControl
- fperms 0755 /usr/bin/VBoxControl
-
- # VBoxClient user service and xrandr wrapper
- if use X; then
- doins VBoxClient
- fperms 0755 /usr/bin/VBoxClient
-
- cd "${S}"/src/VBox/Additions/x11/Installer
- newins VBoxRandR.sh VBoxRandR
- fperms 0755 /usr/bin/VBoxRandR
-
- newins 98vboxadd-xclient VBoxClient-all
- fperms 0755 /usr/bin/VBoxClient-all
- fi
-
- # udev rule for vboxdrv
- dodir /etc/udev/rules.d
- echo 'KERNEL=="vboxadd", NAME="vboxadd", OWNER="vboxadd", MODE="0660"' \
- >> "${D}/etc/udev/rules.d/60-virtualbox-guest-additions.rules"
- echo 'KERNEL=="vboxuser", NAME="vboxuser", OWNER="vboxadd", MODE="0660"' \
- >> "${D}/etc/udev/rules.d/60-virtualbox-guest-additions.rules"
-}
-
-pkg_postinst() {
- linux-mod_pkg_postinst
- if ! useq X ; then
- elog "use flag X is off, enable it to install the"
- elog "X Window System input and video drivers"
- fi
- elog "Please add:"
- elog "/etc/init.d/${PN}"
- elog "to the default runlevel in order to load all"
- elog "needed modules and services."
- elog ""
- elog "Warning:"
- elog "this ebuild is only needed if you are running gentoo"
- elog "inside a VirtualBox Virtual Machine, you don't need"
- elog "it to run VirtualBox itself."
- elog ""
-}
# ChangeLog for app-emulation/virtualbox-modules
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-modules/ChangeLog,v 1.66 2010/07/14 13:03:37 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-modules/ChangeLog,v 1.67 2010/07/17 10:50:57 polynomial-c Exp $
+
+ 17 Jul 2010; Lars Wendler <polynomial-c@gentoo.org>
+ -files/virtualbox-modules-1.6.6_2.6.27.patch,
+ -files/virtualbox-modules-2.6.29_rc.patch,
+ -virtualbox-modules-3.0.12.ebuild:
+ Removed old.
14 Jul 2010; Christian Faulhammer <fauli@gentoo.org>
virtualbox-modules-3.1.8.ebuild:
+++ /dev/null
---- a/linux/SUPDrv-linux.c
-+++ b/linux/SUPDrv-linux.c
-@@ -115,44 +115,6 @@
- # error "CONFIG_X86_HIGH_ENTRY is not supported by VBoxDrv at this time."
- #endif
-
--/*
-- * This sucks soooo badly on x86! Why don't they export __PAGE_KERNEL_EXEC so PAGE_KERNEL_EXEC would be usable?
-- */
--#if defined(RT_ARCH_AMD64)
--# define MY_PAGE_KERNEL_EXEC PAGE_KERNEL_EXEC
--#elif defined(PAGE_KERNEL_EXEC) && defined(CONFIG_X86_PAE)
--# define MY_PAGE_KERNEL_EXEC __pgprot(cpu_has_pge ? _PAGE_KERNEL_EXEC | _PAGE_GLOBAL : _PAGE_KERNEL_EXEC)
--#else
--# define MY_PAGE_KERNEL_EXEC PAGE_KERNEL
--#endif
--
--/*
-- * The redhat hack section.
-- * - The current hacks are for 2.4.21-15.EL only.
-- */
--#ifndef NO_REDHAT_HACKS
--/* accounting. */
--# if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 0)
--# ifdef VM_ACCOUNT
--# define MY_DO_MUNMAP(a,b,c) do_munmap(a, b, c, 0) /* should it be 1 or 0? */
--# endif
--# endif
--
--/* backported remap_page_range. */
--# if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 0)
--# include <asm/tlb.h>
--# ifdef tlb_vma /* probably not good enough... */
--# define HAVE_26_STYLE_REMAP_PAGE_RANGE 1
--# endif
--# endif
--
--#endif /* !NO_REDHAT_HACKS */
--
--
--#ifndef MY_DO_MUNMAP
--# define MY_DO_MUNMAP(a,b,c) do_munmap(a, b, c)
--#endif
--
-
- /** @def ONE_MSEC_IN_JIFFIES
- * The number of jiffies that make up 1 millisecond. Must be at least 1! */
---- a/r0drv/linux/alloc-r0drv-linux.c
-+++ b/r0drv/linux/alloc-r0drv-linux.c
-@@ -131,11 +131,10 @@ PRTMEMHDR rtMemAlloc(size_t cb, uint32_t
- }
- else
- # endif
-- pHdr = (PRTMEMHDR)__vmalloc(cb + sizeof(*pHdr), GFP_KERNEL | __GFP_HIGHMEM, PAGE_KERNEL_EXEC);
-+ pHdr = (PRTMEMHDR)__vmalloc(cb + sizeof(*pHdr), GFP_KERNEL | __GFP_HIGHMEM, MY_PAGE_KERNEL_EXEC);
-
- #elif defined(PAGE_KERNEL_EXEC) && defined(CONFIG_X86_PAE)
-- pHdr = (PRTMEMHDR)__vmalloc(cb + sizeof(*pHdr), GFP_KERNEL | __GFP_HIGHMEM,
-- __pgprot(cpu_has_pge ? _PAGE_KERNEL_EXEC | _PAGE_GLOBAL : _PAGE_KERNEL_EXEC));
-+ pHdr = (PRTMEMHDR)__vmalloc(cb + sizeof(*pHdr), GFP_KERNEL | __GFP_HIGHMEM, MY_PAGE_KERNEL_EXEC);
- #else
- pHdr = (PRTMEMHDR)vmalloc(cb + sizeof(*pHdr));
- #endif
---- a/r0drv/linux/the-linux-kernel.h
-+++ b/r0drv/linux/the-linux-kernel.h
-@@ -174,7 +174,12 @@ DECLINLINE(unsigned long) msecs_to_jiffi
- #if defined(RT_ARCH_AMD64)
- # define MY_PAGE_KERNEL_EXEC PAGE_KERNEL_EXEC
- #elif defined(PAGE_KERNEL_EXEC) && defined(CONFIG_X86_PAE)
--# define MY_PAGE_KERNEL_EXEC __pgprot(cpu_has_pge ? _PAGE_KERNEL_EXEC | _PAGE_GLOBAL : _PAGE_KERNEL_EXEC)
-+# ifdef __PAGE_KERNEL_EXEC
-+ /* >= 2.6.27 */
-+# define MY_PAGE_KERNEL_EXEC __pgprot(cpu_has_pge ? __PAGE_KERNEL_EXEC | _PAGE_GLOBAL : __PAGE_KERNEL_EXEC)
-+# else
-+# define MY_PAGE_KERNEL_EXEC __pgprot(cpu_has_pge ? _PAGE_KERNEL_EXEC | _PAGE_GLOBAL : _PAGE_KERNEL_EXEC)
-+# endif
- #else
- # define MY_PAGE_KERNEL_EXEC PAGE_KERNEL
- #endif
+++ /dev/null
---- vboxdrv/Makefile.orig 2009-02-25 01:22:57.626074529 +0100
-+++ vboxdrv/Makefile 2009-02-25 01:23:36.419076205 +0100
-@@ -67,7 +67,7 @@
- endif
-
- # use vm_insert_page() API (if available) to map kernel pages to userland - better debugging
--# VBOX_USE_INSERT_PAGE = 1
-+VBOX_USE_INSERT_PAGE = 1
-
- # override is required by the Debian guys
- override MODULE = vboxdrv
+++ /dev/null
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-modules/virtualbox-modules-3.0.12.ebuild,v 1.3 2009/11/30 11:11:01 maekke Exp $
-
-# XXX: the tarball here is just the kernel modules split out of the binary
-# package that comes from virtualbox-bin
-
-EAPI=2
-
-inherit eutils linux-mod
-
-MY_P=vbox-kernel-module-src-${PV}
-DESCRIPTION="Kernel Modules for Virtualbox"
-HOMEPAGE="http://www.virtualbox.org/"
-SRC_URI="http://gentoo.zerodev.it/files/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-RDEPEND="!=app-emulation/virtualbox-ose-9999"
-
-S=${WORKDIR}
-
-BUILD_TARGETS="all"
-BUILD_TARGET_ARCH="${ARCH}"
-MODULE_NAMES="vboxdrv(misc:${S}) vboxnetflt(misc:${S}) vboxnetadp(misc:${S})"
-
-pkg_setup() {
- linux-mod_pkg_setup
- BUILD_PARAMS="KERN_DIR=${KV_DIR} KERNOUT=${KV_OUT_DIR}"
- enewgroup vboxusers
-}
-
-src_install() {
- linux-mod_src_install
-
- # udev rule for vboxdrv
- dodir /etc/udev/rules.d
- echo 'KERNEL=="vboxdrv", NAME="vboxdrv", OWNER="root", GROUP="", MODE=""' \
- > "${D}/etc/udev/rules.d/10-virtualbox.rules"
- echo 'SUBSYSTEM=="usb_device", GROUP="", MODE=""' \
- >> "${D}/etc/udev/rules.d/10-virtualbox.rules"
- echo 'SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GROUP="", MODE=""' \
- >> "${D}/etc/udev/rules.d/10-virtualbox.rules"
-}
-
-pkg_postinst() {
- linux-mod_pkg_postinst
- elog "Starting with the 3.x release new kernel modules were added,"
- elog "be sure to load all the needed modules."
- elog ""
- elog "Please add \"vboxdrv\", \"vboxnetflt\" and \"vboxnetadp\" to:"
- if has_version sys-apps/openrc; then
- elog "/etc/conf.d/modules"
- else
- elog "/etc/modules.autoload.d/kernel-${KV_MAJOR}.${KV_MINOR}"
- fi
- elog ""
-}
# ChangeLog for app-emulation/virtualbox-ose-additions
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-ose-additions/ChangeLog,v 1.45 2010/07/14 13:02:34 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-ose-additions/ChangeLog,v 1.46 2010/07/17 10:54:17 polynomial-c Exp $
+
+ 17 Jul 2010; Lars Wendler <polynomial-c@gentoo.org>
+ -virtualbox-ose-additions-3.0.12.ebuild:
+ Removed old.
14 Jul 2010; Christian Faulhammer <fauli@gentoo.org>
virtualbox-ose-additions-3.1.8.ebuild:
+++ /dev/null
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtualbox-ose-additions/virtualbox-ose-additions-3.0.12.ebuild,v 1.4 2010/06/08 16:12:23 polynomial-c Exp $
-
-EAPI=2
-
-inherit eutils
-
-MY_PN=VBoxGuestAdditions
-MY_P=${MY_PN}_${PV}
-
-DESCRIPTION="CD image containing guest additions for VirtualBox"
-HOMEPAGE="http://www.virtualbox.org/"
-SRC_URI="http://download.virtualbox.org/virtualbox/${PV}/${MY_P}.iso"
-
-LICENSE="PUEL"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-RESTRICT="mirror"
-PROPERTIES="interactive"
-
-RDEPEND="!app-emulation/virtualbox-bin
- !=app-emulation/virtualbox-ose-9999"
-
-pkg_setup() {
- # We cannot mirror VirtualBox PUEL licensed files see:
- # http://www.virtualbox.org/wiki/Licensing_FAQ
- check_license
-}
-
-src_unpack() {
- return 0
-}
-
-src_install() {
- insinto /usr/share/${PN/-additions}
- newins "${DISTDIR}"/${MY_P}.iso ${MY_PN}.iso
-}